﻿// For an introduction to the Blank template, see the following documentation:
// http://go.microsoft.com/fwlink/?LinkId=232509
(function () {
    "use strict";

    WinJS.Binding.optimizeBindingReferences = true;

    var app = WinJS.Application;
    var activation = Windows.ApplicationModel.Activation;

    function showLocation() {
        //navigator.geolocation.getCurrentPosition(function (location) {
        //    $("#locationResult").innerHTML = "Latitude: <strong>" + location.coords.latitude + "</strong><br/>Longitude: <strong>" + location.coords.longitude + "</strong>";
        //}, function (err) {
        //    $("#locationResult").textContent = "Error getting location";
        //}, { timeout: 30000, enableHighAccuracy: true });

        var geolocator = Windows.Devices.Geolocation.Geolocator();
        geolocator.desiredAccuracy = Windows.Devices.Geolocation.PositionAccuracy.high;
        geolocator.getGeopositionAsync().then(getCurPosHandler, errHandler);


    }

    function getCurPosHandler(pos) {
        document.getElementById('locationResult').innerHTML = "Latitude: <strong>" + pos.coordinate.latitude + "</strong><br/>Longitude: <strong>" + pos.coordinate.longitude + "</strong>";
    }


    function errHandler(e) {
        document.getElementById('locationResult').innerHTML = e.message;
    }


    app.onactivated = function (args) {
        if (args.detail.kind === activation.ActivationKind.launch) {
            if (args.detail.previousExecutionState !== activation.ApplicationExecutionState.terminated) {
                // TODO: This application has been newly launched. Initialize
                // your application here.
                document.getElementById('btnGeoLocation').addEventListener("click", showLocation, false);
            } else {
                // TODO: This application has been reactivated from suspension.
                // Restore application state here.
            }
            args.setPromise(WinJS.UI.processAll());
        }
    };

    app.oncheckpoint = function (args) {
        // TODO: This application is about to be suspended. Save any state
        // that needs to persist across suspensions here. You might use the
        // WinJS.Application.sessionState object, which is automatically
        // saved and restored across suspension. If you need to complete an
        // asynchronous operation before your application is suspended, call
        // args.setPromise().
    };

    app.start();
})();
